PHTML::Heading Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Heading:

## Public Member Functions

| Heading (int number, int sequence=0, int skip=0, const char *attr=NULL)
| Heading (int number, const char *image, int sequence=0, int skip=0, const char *attr=NULL)
| Heading (int number, const PString &imageStr, int sequence=0, int skip=0, const char *attr=NULL)
virtual | ~Heading ()
Public Member Functions inherited from PHTML::Element
virtual | ~Element ()

## Protected Member Functions

virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const

## Additional Inherited Members

Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Constructor & Destructor Documentation

## Heading() [1/3]

PHTML::Heading::Heading | ( | int | number,
|  | int | sequence = `0`,
|  | int | skip = `0`,
|  | const char * | attr = `NULL`
| ) |  |

## Heading() [2/3]

PHTML::Heading::Heading | ( | int | number,
|  | const char * | image,
|  | int | sequence = `0`,
|  | int | skip = `0`,
|  | const char * | attr = `NULL`
| ) |  |

## Heading() [3/3]

PHTML::Heading::Heading | ( | int | number,
|  | const PString & | imageStr,
|  | int | sequence = `0`,
|  | int | skip = `0`,
|  | const char * | attr = `NULL`
| ) |  |

## ~Heading()

virtual PHTML::Heading::~Heading | ( |  | ) |

inline virtual

References PHTML::Element::AddAttr().

## Member Function Documentation

## AddAttr()

virtual void PHTML::Heading::AddAttr | ( | PHTML & | html | ) | const

protected virtual

Reimplemented from PHTML::Element.

The documentation for this class was generated from the following file:

- html.h